
Foreman - Bug #4995

Editing location with "all users" checked fails on edit page in postgres

04/01/2014 12:21 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. create a location

2. edit the location, check "all users" checkbox and save

3. edit again

Expected: no issues

Got:

PGError: ERROR: missing FROM-clause entry for table "usergroups" LINE 1: ... ((users.admin = 'f' O

R users.admin IS NULL) AND (usergroups... ^ : SELECT id FROM "users" WHERE ((users.admin = 'f' OR 

users.admin IS NULL) AND (usergroups.admin = 'f' OR usergroups.admin IS NULL))

ActiveRecord::StatementInvalid

PGError: ERROR: missing FROM-clause entry for table "usergroups" LINE 1: ... ((users.admin = 'f' O

R users.admin IS NULL) AND (usergroups... ^ : SELECT id FROM "users" WHERE ((users.admin = 'f' OR 

users.admin IS NULL) AND (usergroups.admin = 'f' OR usergroups.admin IS NULL))

app/models/taxonomy.rb:113:in `block (2 levels) in '

app/helpers/layout_helper.rb:92:in `block in multiple_selects'

app/helpers/layout_helper.rb:157:in `block (3 levels) in field'

app/helpers/layout_helper.rb:156:in `block (2 levels) in field'

app/helpers/layout_helper.rb:149:in `block in field'

app/helpers/layout_helper.rb:148:in `field'

app/helpers/layout_helper.rb:85:in `multiple_selects'

app/views/taxonomies/_form.html.erb:55:in `block in _app_views_taxonomies__form_html_erb__64364398

0205726403_70229832444720'

app/helpers/layout_helper.rb:248:in `form_for'

app/views/taxonomies/_form.html.erb:3:in `_app_views_taxonomies__form_html_erb__643643980205726403

_70229832444720'

app/views/taxonomies/edit.html.erb:4:in `_app_views_taxonomies_edit_html_erb___2691520242893355174

_75423320'

app/controllers/concerns/foreman/controller/taxonomies_controller.rb:67:in `block in edit'

app/models/taxonomy.rb:40:in `block in no_taxonomy_scope'

app/models/taxonomy.rb:47:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:46:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:45:in `as_taxonomy'

app/models/taxonomy.rb:39:in `no_taxonomy_scope'

app/controllers/concerns/foreman/controller/taxonomies_controller.rb:65:in `edit'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Associated revisions

Revision 144d6f9f - 04/02/2014 03:57 PM - Joseph Magen

fixes #4995 - editing location with 'all users' checked fails on edit page in postgres
History

#1 - 04/01/2014 01:11 PM - Joseph Magen

- Assignee set to Joseph Magen

- Category set to Web Interface

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1346

#2 - 04/01/2014 01:18 PM - Dominic Cleal

- Target version set to 1.8.4

#3 - 04/02/2014 11:15 AM - Dominic Cleal

- translation missing: en.field_release set to 9

#4 - 04/02/2014 04:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 144d6f9f1845ab745b0b090dcafe659550379abf.

#5 - 04/18/2014 01:40 AM - Dominic Cleal

- translation missing: en.field_release changed from 9 to 4
